---
version: '3'
services:
{% for service in deploy_services %}
  {{ service.name }}:
    image: {{ service.image }}
    ports:
{% for port in service.ports %}
      - "{{ port }}"
{% endfor %}
    environment:
{% for key, value in service.environment.items() %}
      {{ key }}: "{{ value }}"
{% endfor %}
    volumes:
{% for volume in service.volumes %}
      - "{{ volume }}"
{% endfor %}
    restart: {{ service.restart }}
{% endfor %}
